@import "libs/shared/assets/src/global-style/variable";

.search-container {
    background: $bg-modal-header-title;
    padding: 22px 0px 22px 0px;
    border-radius: 8px;
    &__row {
        display: flex;
        align-items: flex-end;
        &--col {
            padding-left: 24px;
        }

        &--col-button {
            padding-left: 8px;
        }
    }
    &__label {
        color: $bg-gray-body;
        font-style: normal;
        font-weight: 600;
        font-size: 14px;
        line-height: 20px;
        font-family: avertaB, sans-serif;
    }
    ::ng-deep {
        .input__label {
            color: $bg-gray-body !important;
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 20px;
        }
        .ant-select-selector {
            border-radius: 10px !important;
            height: 40px !important;
            display: flex;
            align-items: center;
        }
        .ant-input {
            border-radius: 10px !important;
            height: 40px !important;
        }
        .ant-select-item,
        .ant-select-item-empty {
            display: block;
            min-height: 32px;
            padding: 5px 12px;
            font-size: 14px;
            line-height: 22px;
            position: relative;
            font-weight: 400;
        }
    }
}

.table-container {
    margin-top: 24px;
    ::ng-deep {
        .input__group--no-label {
            min-height: 0px !important;
        }
        .ant-input {
            height: 40px !important;
        }
    }
    .ant-table-tbody > tr > td {
        padding: 8px;
    }
    &__col-text-ellipsis {
        white-space: nowrap;
        overflow: hidden !important;
        text-overflow: ellipsis;
        min-width: 428px;
        max-width: 500px;
    }
}
.position-relative {
    position: relative;
}
.icon-style {
    border-radius: 50%;
    position: absolute;
    right: 0.5rem;
    top: 2.6rem;
    color: $bg-content-default;
    font-size: 12px;
    background: $bg-gray-rgb;
    cursor: pointer;
}
.margin-top {
    margin-top: 25px;
}
.margin-bottom {
    margin-bottom: 15px;
}
.btn-fill {
    display: flex;
    align-items: center;
    margin: 0px 20px 20px 20px;
    ::ng-deep {
        .ant-switch-checked {
            background-color: $bg-primary-darker;
        }
    }
    .text {
        padding-left: 15px;
        font-weight: 600;
    }
}
.ml-15 {
    margin-left: 15px;
}
.attch-file {
    position: absolute;
    left: 21.5rem;
    top: 2.4rem;
}
.input-style {
    &__input {
      ::ng-deep {
        .ant-input-affix-wrapper {
          border-radius: 8px;
          height: 44px;
        }
        .ant-input-affix-wrapper:focus {
            border-color: $bg-primary-default;
        }
        .ant-input-affix-wrapper:hover {
            border-color: $bg-primary-default;
        }
        .ant-input-affix-wrapper-focused {
            border-color: $bg-primary-default;
            box-shadow: none;
        }
      }
    }
  }
  .mt-20 {
    margin-top: 20px
  }
.max-input-custom {
  display: flex;
  justify-content: flex-end;
  padding-right: 8px;
  color: #A0A3BD;
}
.pdf-view {
  display: block;
  border: 1px solid $bg-modal-header-border;
  height: 70vh;
}
.style-file {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  line-height: 20px;
  border-radius: 6px;
  letter-spacing: 0.25px;
  padding: 4px 8px 4px 8px;
  margin-right: 10px;
  width: 120px;
  height: 30px;
  background: $bg-primary-default;
  color: $bg-content;
}
.text-ellipsis {
  display: block;
  white-space: nowrap;
  overflow: hidden !important;
  text-overflow: ellipsis;
  max-width: 150px;
}
